@echo off
cls
if "%1"=="" goto format
if not exist squirtsw.exe goto nofile
echo.
echo                   SQUIRT v1.0 shareware version 
echo.
echo                           Installation      
echo.
echo.
echo.
echo   SQUIRT will be installed to your %1 drive in
echo   the \SQUIRT directory.
echo.
echo   Note: You need approximately 6 Mb's of hard disk space to
echo   allow SQUIRT to be installed and run successfully.
echo.
echo   Do you want to proceed with the installation?
echo.
echo      Y = Yes, please install SQUIRT.
echo      N = No, I don't want to install SQUIRT at this time.
echo.
choice /c:YN
if errorlevel 2 goto installnot
if errorlevel 1 goto installit

:installit
deltree %1\squirt
md %1\squirt
copy squirtsw.exe %1\squirt
%1
cd\squirt
if not exist %1\squirt\squirtsw.exe goto spaceout
squirtsw
del squirtsw.exe
cls

echo.
echo Installation complete.  
echo.
echo Don't forget to register.
echo.
echo Type SQUIRT to start the game.
echo.
echo Have fun!!
echo.
goto end

:installnot
cls
echo.
echo Installation cancelled.
echo.
goto end

:format
echo.
echo   You must use the following format to install SQUIRT v1.0:
echo.
echo      INSTALL [drive to install to]
echo.
echo   For instance, if your wish to install SQUIRT v1.0 to your C: drive,
echo   you would type the following:
echo.
echo      INSTALL C:
echo.
echo.
goto end

:nofile
echo.
echo   Install could not find the SQUIRT v1.0 file.
echo   Please check your drive letters and run install again.
echo.
echo.
goto end

:spaceout
echo.
echo   You are out of disk space.  You need about 6 MB's of hard drive
echo   space on your %1 drive to install SQUIRT v1.0.  Please clear enough
echo   space or install to another drive with enough free disk space.  
echo   The SQUIRT directory will now be deleted.
echo.
echo.
%1
cd\
deltree squirt
goto end

:end
@echo on
